import React from 'react';
import LanguageStore from "./../../../stores/LanguageStore";
import axios from 'axios';
import { properties } from '../../../properties.js';

class WelcomeMessage extends React.Component {

  constructor(props){
    super(props)
    this.state ={
      ap : props.ap,
      au : props.au,
      host : null
    }
    this.loadSingleHost = this.loadSingleHost.bind(this);
    this.setHost =  this.setHost.bind(this);

    this.loadSingleHost();
  }

  componentDidMount (){
    setTimeout(function(){
      window.location.reload();
    },10000);
  }

  loadSingleHost(){
    axios.get(properties.api_url + "/person/" + this.state.ap.ap_uid + "?SID=" + properties.key) .then(this.setHost)
  }

  setHost(res){
    let datas = res.data;
    this.setState({
      host : datas
    });
  }

  render() {
    let pe_name ="";
    let name = " ";

    this.state.au.au_surname.split(" ").forEach(function(val){
      name += val.charAt(0).toUpperCase() + val.slice(1).toLowerCase() + " "
    });

    this.state.au.au_name.split(" ").forEach(function(val){
      name += val.charAt(0).toUpperCase() + val.slice(1).toLowerCase() + " "
    });

    if(this.state.host !== null){
      pe_name = this.state.host.pe_vorname + " " + this.state.host.pe_name;
    }

    return (
      <div id="welcome" className="main_content" >
        <h1>{LanguageStore.translate("self_greeting_title")} {name}</h1>
        <h2>{LanguageStore.translate("self_greeting_checkin").replace("@pe_name@",  pe_name )}</h2>
      </div>
    );
  }
}

export default WelcomeMessage;
